# $Revision: 1.61 $, $Date: 2011/01/13 17:17:49 $
# TODO:
# - think about some trigger to upgrade from 6.5-1 and older
#   (I suggest just to forget about those broken version,
#   unfortunately they have already landed in Ac)
# - apache1 config
# - security CVE-2006-1945, CVE-2006-2237: http://security.gentoo.org/glsa/glsa-200606-06.xml
%include	/usr/lib/rpm/macros.perl
Summary:	Advanced Web Statistics is a free powerful server log file analyzer
Summary(pl.UTF-8):	Zaawansowany program do analizowania logów serwera
Name:		awstats
Version:	7.0
Release:	1
License:	GPL v2
Group:		Applications/Networking
Source0:	http://awstats.sourceforge.net/files/%{name}-%{version}.tar.gz
# Source0-md5:	3e8e09b9ebe74513bb34290dbcd37b45
Source1:	%{name}.crontab
Source2:	%{name}-httpd.conf
Source3:	%{name}.conf
Source4:	%{name}-lighttpd.conf
Patch0:		%{name}_conf.patch
Patch1:		%{name}-created_dir_mode.patch
Patch2:		%{name}-PLD.patch
URL:		http://awstats.sourceforge.net/
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.264
Requires(triggerpostun):	sed >= 4.0
Requires:	perl-Geo-IP
Requires:	perl-Storable
Requires:	perl-Time-HiRes
Requires:	webapps
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Advanced Web Statistics is a powerful and featureful tool that
generates advanced web server graphic statistics. This server log
analyzer works from command line or as a CGI and shows you all
information your log contains, in graphical web pages. It can analyze
a lot of web/wap/proxy servers like Apache, IIS, Weblogic, Webstar,
Squid, ... but also mail or FTP servers.

This program can measure visits, unique vistors, authenticated users,
pages, domains/countries, OS busiest times, robot visits, type of
files, search engines/keywords used, visits duration, HTTP errors and
more... Statistics can be updated from a browser or your scheduler.
The program also supports virtual servers, plugins and a lot of
features.

%description -l pl.UTF-8
awstats (Advanced Web Statistics - zaawansowane statystyki WWW) to
potężne i bogate w możliwości narzędzie generujące zaawansowane
graficzne statystyki serwera WWW. Ten analizator logów serwera działa
z linii poleceń lub jako CGI i pokazuje wszystkie informacje zawarte w
logu w postaci graficznych stron WWW. Może analizować logi wielu
serwerów WWW/WAP/proxy, takich jak Apache, IIS, Weblogic, Webstar,
Squid... ale także serwerów pocztowych lub FTP.

Ten program może mierzyć odwiedziny, odwiedzających, uwierzytelnionych
użytkowników, strony, domeny/kraje, najbardziej zajęte godziny,
odwiedziny robotów, rodzaje plików, używane wyszukiwarki i słowa
kluczowe, czasy trwania odwiedzin, błędy HTTP... a nawet więcej.
Statystyki mogą być uaktualniane z przeglądarki lub schedulera.
Program obsługuje także serwery wirtualne, wtyczki i wiele innych
rzeczy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
find . '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/cron.d,%{_sysconfdir},%{_bindir}} \
	$RPM_BUILD_ROOT{%{_datadir}/awstats,/var/lib/awstats}

install tools/awstats_* $RPM_BUILD_ROOT%{_bindir}
install tools/{logresolvemerge,maillogconvert,urlaliasbuilder}.pl $RPM_BUILD_ROOT%{_bindir}
cp -r wwwroot $RPM_BUILD_ROOT%{_datadir}/awstats
mv $RPM_BUILD_ROOT%{_datadir}/awstats/wwwroot/cgi-bin/awstats.model.conf $RPM_BUILD_ROOT%{_sysconfdir}
mv $RPM_BUILD_ROOT%{_datadir}/awstats/wwwroot/cgi-bin/{lang,lib,plugins} $RPM_BUILD_ROOT%{_datadir}/%{name}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/awstats
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf
ln -s %{_datadir}/awstats/wwwroot/cgi-bin/awstats.pl $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%triggerpostun -- %{name} < 6.5-2.1
# rescue app configs.
for i in awstats.conf awstats.model.conf; do
	if [ -f /etc/%{name}/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /etc/%{name}/$i.rpmsave %{_sysconfdir}/$i
	fi
done

# nuke very-old config location (this mostly for Ra)
if [ -f /etc/httpd/httpd.conf ]; then
	sed -i -e "/^Include.*%{name}.conf/d" /etc/httpd/httpd.conf
fi

# migrate from httpd (apache2) config dir
if [ -f /etc/httpd/%{name}.conf.rpmsave ]; then
	cp -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	mv -f /etc/httpd/%{name}.conf.rpmsave %{_sysconfdir}/httpd.conf
fi

# migrate from apache-config macros
if [ -f /etc/%{name}/apache.conf.rpmsave ]; then
	if [ -d /etc/httpd/webapps.d ]; then
		cp -f %{_sysconfdir}/httpd.conf{,.rpmnew}
		cp -f /etc/%{name}/apache.conf.rpmsave %{_sysconfdir}/httpd.conf
	fi
	rm -f /etc/%{name}/apache.conf.rpmsave
fi

rm -f /etc/httpd/httpd.conf/99_%{name}.conf
/usr/sbin/webapp register httpd %{_webapp}
%service -q httpd reload

%files
%defattr(644,root,root,755)
%doc README.TXT docs/* tools/webmin tools/xslt
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(644,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/awstats*.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/awstats

%attr(755,root,root) %{_bindir}/*.pl
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/lang
%{_datadir}/%{name}/lib
%{_datadir}/%{name}/plugins
%dir %{_datadir}/%{name}/wwwroot
%dir %{_datadir}/%{name}/wwwroot/cgi-bin
%attr(755,root,root) %{_datadir}/%{name}/wwwroot/cgi-bin/awredir.pl
%attr(755,root,root) %{_datadir}/%{name}/wwwroot/cgi-bin/awstats.pl
%{_datadir}/%{name}/wwwroot/classes
%{_datadir}/%{name}/wwwroot/css
%{_datadir}/%{name}/wwwroot/icon
%{_datadir}/%{name}/wwwroot/js
%attr(775,root,stats) /var/lib/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: awstats.spec,v $
Revision 1.61  2011/01/13 17:17:49  glen
- up to 7.0

Revision 1.60  2010/05/19 11:18:31  pawelz
- up to 6.95

Revision 1.59  2009/03/24 07:57:27  luzik
- updated to 6.9, STBR

Revision 1.58  2007/12/28 02:48:37  zbyniu
- up to 6.8

Revision 1.57  2007-10-06 22:48:39  gotar
- upgraded to 6.7

Revision 1.56  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.55  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.54  2007/01/19 19:23:21  twittner
- rm blank line

Revision 1.53  2007/01/19 19:19:33  twittner
- mark /etc/crond./awstats as config
- make /etc/webapps/awstats/awstast*.conf worldreadable

Revision 1.52  2007/01/16 13:14:06  twittner
- up to 6.6 (vendor claims that sec. hole described
  in CVE-2006-3681 has been already fixed)
- updated -PLD.patch for this verion
- stricter file globing in %files (don't pack *.orig files)
- rel. 0.3 (works for me, but see NOTES)

Revision 1.51  2007/01/01 21:54:06  glen
- trigger for lighttpd config, and package lighttpd config

Revision 1.50  2007/01/01 18:36:22  adamg
- lighttpd config file

Revision 1.49  2006/09/30 15:03:10  glen
- rel 5

Revision 1.48  2006/08/12 08:30:30  ankry
- formatting

Revision 1.47  2006/06/07 20:38:15  glen
- add security todo

Revision 1.46  2006/04/16 20:18:47  glen
- use %service

Revision 1.45  2006/02/26 15:16:26  troll
- added PLD patch, R: 4

Revision 1.44  2006/02/03 16:07:29  baggins
- release 3

Revision 1.43  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.42  2005/12/12 13:44:45  glen
- adapterized (sorted %verify attrs)

Revision 1.41  2005/12/08 13:55:14  glen
- use webapps framework

Revision 1.40  2005/12/07 22:05:06  glen
- rel 2

Revision 1.39  2005/09/22 21:51:40  charles
- updated .crontab, .conf, _conf.patch
- proper license, rel. 1.20

Revision 1.38  2005/08/22 07:15:07  glen
- use apache config triggers, rel 1.10

Revision 1.37  2005/08/21 17:59:25  jajcus
- Release: 1.5
- Awstats is started with uid of stats. Parsing logs with root privileges is a
  big security problem!
- all HTTP-accessible files moved to /usr/share/awstats/wwwroot, mixing Awstats
  files with Apache files doesn't seem like a good idea
- missing wwwroot/ files added to the package
- Apache configuration setting up awstats aliases, making
  http://localhost/awstats/awstats.pl working out of the box
- default configuration changed so it works out of the box and it is easy to
  add additional configs (virtual hosts)
- configuration file moved to /etc/awstats

Revision 1.36  2005/04/19 09:12:54  kosmo
- added mime icons.

Revision 1.35  2005/04/04 14:18:28  adamg
- release 1 (awstats <= 6.3 contains serious security holes)

Revision 1.34  2005/03/31 21:42:40  paszczus
- updated to 6.5

Revision 1.33  2005/03/25 18:09:42  darekr
- move to /usr/share/awstats (from TODO)
- unified
- noreplace for %config, %verify()

Revision 1.32  2005/02/25 00:27:02  aniolek
- updated to 6.4

Revision 1.31  2005/02/04 21:58:19  petec
- changed Source1; release 1.1

Revision 1.30  2005/01/04 17:22:35  aniolek
- updated to 6.3

Revision 1.29  2004/10/28 20:41:00  paladine
- "FTP" unification

Revision 1.28  2004/10/03 16:38:28  blues
- dunno why it's different now :-/

Revision 1.27  2004/10/03 16:30:37  blues
- make it todays snap

Revision 1.26  2004/10/03 16:27:23  blues
- removed security note.

Revision 1.25  2004/09/27 21:34:40  blues
- one more

Revision 1.24  2004/09/27 21:32:27  blues
- mostly cosmetics

Revision 1.23  2004/08/23 09:11:29  blues
- SECURITY note

Revision 1.22  2004/08/21 17:21:20  misi3k
- updated to 6.2

Revision 1.21  2004/06/13 09:19:38  paszczus
- sorry, 6.2 is DEVEL, 6.1 is STABLE

Revision 1.20  2004/06/13 09:14:45  paszczus
- changed root,root to root,http in awstats.pl file
- build, works; rel 1

Revision 1.19  2004/06/13 08:35:25  paszczus
- fixed wwwdir; rel 0.2

Revision 1.18  2004/06/13 01:35:24  arekm
- updated to 6.1

Revision 1.17  2004/03/14 21:49:54  adamg
- /srv/ no more (thanks arekm)

Revision 1.16  2004/02/04 15:45:16  averne
- /home/services -> /srv
- rel 0.2

Revision 1.15  2004/01/16 15:24:25  eothane
- updated to 6.0

Revision 1.14  2003/09/27 22:11:10  adamg
- updated to 5.9

Revision 1.13  2003/09/15 07:01:10  adamg
- updated to 5.7

Revision 1.12  2003/09/09 10:24:19  ankry
- spaces -> tab

Revision 1.11  2003/08/06 16:32:10  kloczek

Revision 1.10  2003/08/03 16:02:10  adamg
- fixed permissions to cgi script

Revision 1.9  2003/08/03 13:50:03  adamg
- fixed R: perl-Geo-IP (pointed by Marcin Kurzyna)
- fixed permissions to cron script (pointed by Marcin Kurzyna)
- release down to 0.1 (still needs some work)

Revision 1.8  2003/06/29 11:12:01  pbern
- update to 5.6

Revision 1.7  2003/06/18 10:41:19  radek
- release 2:  BR:rpm-perlprov, don't R:perl

Revision 1.6  2003/05/30 12:01:43  adamg
- up to 5.5
- updated awstats_conf.patch

Revision 1.5  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:45:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/21 22:14:26  qboosh
- pl

Revision 1.2  2003/02/25 11:18:20  qboosh
- working Source URL

Revision 1.1  2003/01/27 12:19:03  pbern
- initial relase from RH
